loadPackage "Dmodules";

A = matrix{{1,1,1,1},{0,1,3,4}};
b = {1,2};
I = gkz(A,b);
R = I.ring;

S = newRing(R,MonomialOrder=>
       {Weights=>{4:0,4:1},
        Weights=>{7:0,-1},
        Weights=>{6:0,-1},
        Weights=>{5:0,-1},
        Weights=>{4:1},
	Weights=>{3:0,-1},
        Weights=>{2:0,-1},
        Weights=>{0,-1}});

J = (map(S,R))(I);
INI = leadTerm(4,J);
print "initial ideal"
print INI;
print "\nHolonomic Rank is"; 
print holonomicRank I;
